<?php
declare(strict_types=1);
namespace Middleware;

final class SecurityHeadersMiddleware
{
    public static function handle(): void
    {
        header('X-Content-Type-Options: nosniff');
        header('X-Frame-Options: SAMEORIGIN');
        header('X-XSS-Protection: 1; mode=block');
        header('Referrer-Policy: strict-origin-when-cross-origin');
    }
}
